%define upstream_name    autobox
%define upstream_version v3.0.1

%?perl_default_filter
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(autobox::universal\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Call methods on native types
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/autobox/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IPC::System::Simple) >= 1.250.0
BuildRequires: perl(Scope::Guard) >= 0.210.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl-devel
Provides:   perl(autobox)

%description
The autobox pragma allows methods to be called on integers, floats,
strings, arrays, hashes, and code references in exactly the same manner as
blessed references.

The autoboxing is transparent: boxed values are not blessed into their
(user-defined) implementation class (unless the method elects to bestow
such a blessing) - they simply use its methods as though they are.

The classes (packages) into which the native types are boxed are fully
configurable. By default, a method invoked on a non-object is assumed to be
defined in a class whose name corresponds to the 'ref()' type of that value
- or SCALAR if the value is a non-reference.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Tue Nov 28 2023 tv <tv> 3.0.1-10.mga10
+ Revision: 2010458
- Rebuild for perl-5.38

* Mon Jun 06 2022 umeabot <umeabot> 3.0.1-9.mga9
+ Revision: 1861542
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 3.0.1-8.mga9
+ Revision: 1795489
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 3.0.1-7.mga9
+ Revision: 1726393
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 3.0.1-6.mga8
+ Revision: 1594276
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 3.0.1-5.mga8
+ Revision: 1529123
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 3.0.1-4.mga8
+ Revision: 1433134
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 3.0.1-3.mga7
+ Revision: 1294077
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 shlomif <shlomif> 3.0.1-2.mga7
+ Revision: 1248097
- Rebuild for new perl 5.28.0

* Mon May 07 2018 tv <tv> 3.0.1-1.mga7
+ Revision: 1226918
- BR perl(Test::Fatal)
- update to v3.0.1

* Mon Apr 23 2018 shlomif <shlomif> 2.860.0-1.mga7
+ Revision: 1221448
- update to 2.86

* Mon Oct 02 2017 tv <tv> 2.850.0-3.mga7
+ Revision: 1163149
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 2.850.0-2.mga7
+ Revision: 1149450
- Rebuild for perl ABI changes

* Sun Jul 23 2017 shlomif <shlomif> 2.850.0-1.mga7
+ Revision: 1129067
- update to 2.85
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 2.830.0-5.mga6
+ Revision: 1022679
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 2.830.0-4.mga6
+ Revision: 956737
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 tv <tv> 2.830.0-3.mga6
+ Revision: 846049
- rebuild for soname-ifed perl

* Fri Jun 26 2015 tv <tv> 2.830.0-2.mga6
+ Revision: 844736
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 2.830.0-1.mga6
+ Revision: 841213
- New version 2.83 + Rebuild for the new perl-5.22.0

* Wed Oct 15 2014 umeabot <umeabot> 2.820.0-5.mga5
+ Revision: 743939
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.820.0-4.mga5
+ Revision: 725838
- fix excludes

* Tue Sep 16 2014 umeabot <umeabot> 2.820.0-3.mga5
+ Revision: 687007
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 2.820.0-2.mga5
+ Revision: 631912
- Rebuild for perl 5.20

* Fri Feb 07 2014 sander85 <sander85> 2.820.0-1.mga5
+ Revision: 585240
- update to 2.82

* Sat Oct 19 2013 umeabot <umeabot> 2.790.0-3.mga4
+ Revision: 524570
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.790.0-2.mga4
+ Revision: 431019
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 2.790.0-1.mga4
+ Revision: 430163
- new release
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 2.750.0-5.mga3
+ Revision: 375352
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.750.0-4.mga3
+ Revision: 250934
- rebuild for perl 5.16

* Wed May 30 2012 jquelin <jquelin> 2.750.0-3.mga3
+ Revision: 250905
- rebuild for perl 5.16

* Wed May 30 2012 jquelin <jquelin> 2.750.0-2.mga3
+ Revision: 250274
- rebuild for perl 5.16
- update to 2.75

* Sat Jun 11 2011 spuhler <spuhler> 2.730.0-3.mga2
+ Revision: 104046
- increase rel for rebuild

* Sat Jun 11 2011 jquelin <jquelin> 2.730.0-2.mga2
+ Revision: 103457
- perl 5.14

* Mon Mar 14 2011 jquelin <jquelin> 2.730.0-1.mga1
+ Revision: 70997
- update to 2.73

* Wed Feb 16 2011 jquelin <jquelin> 2.720.0-1.mga1
+ Revision: 52287
- update to 2.72

* Sat Jan 22 2011 jquelin <jquelin> 2.710.0-1.mga1
+ Revision: 31531
- mageia rebuild
- imported package perl-autobox

